server:
  port: 8082
  servlet:
    context-path: '/ead-course/'

spring:
  application:
    name: ead-course-service
  datasource:
    url:  jdbc:postgresql://localhost:5432/ead-course
    username: postgres
    password: 1234
  jpa:
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        show_sql: true
        format_sql: true


ead:
  api:
    url:
      auth-user: 'http://ead-authuser-service/ead-authuser'

eureka:
  client:
    serviceUrl:
      defaultZone: 'http://localhost:8761/eureka'
  instance:
    hostname: localhost